{-----------------------------------------------------------------------}
{                                                                       }
{           Subprogram Name:                                            }
{           Purpose:          Ancestromania                             }
{           Source Language:  Francais                                  }
{           Auteurs :                                                   }
{           Matthieu Giroux, André Langlet, Philippe Cazaux-Moutou      }
{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Description:                                                }
{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Revision History                                            }
{           v#    ,Date       ,Author Name            ,Description      }
{                                                                       }
{-----------------------------------------------------------------------}

unit u_common_const;

interface

uses
  Controls;


const
  IBQ_CLE_FICHE = 'CLE_FICHE';
  IBQ_CLE_PERE = 'CLE_PERE';
  IBQ_CLE_MERE = 'CLE_MERE';
  IBQ_SOSA = 'NUM_SOSA';
  IBQ_ID   = 'ID';
  IBQ_ID1  = 'ID1';
  IBQ_SEXE = 'SEXE';
  IBQ_SEXE_MAN = 1;
  IBQ_SEXE_WOMAN = 2;

  IBQ_DATE_NAISSANCE = 'DATE_NAISSANCE';
  IBQ_LIEU_NAISSANCE = 'LIEU_NAISSANCE';
  IBQ_DATE_DECES = 'DATE_DECES';
  IBQ_LIEU_DECES = 'LIEU_DECES';

  IBQ_COUNTER = 'COUNTER';
  IBQ_DATA_ID   = 'DATA_ID';

  UNION_DATE_MARIAGE = 'date_prem_fam';
  UNION_MARIAGE_WRITEN = 'date_prem_fam_writen';
  UNION_CP = 'EV_FAM_CP';
  UNION_CITY = 'EV_FAM_VILLE';

  IBQ_MARI  = 'MARI';
  IBQ_FEMME = 'FEMME';
  IBQ_PERE  = 'PERE';
  IBQ_MERE  = 'MERE';
  IBQ_epoux = 'epoux';

  UNION_CLEF = 'UNION_CLEF';
  CLE_DOSSIER = 'CLE_DOSSIER';
  IBQ_LANGUE  = 'LANGUE';
  IBQ_MIN_TYPE = 'MIN_TYPE';
  IBQ_MAX_TYPE = 'MAX_TYPE';
  IBQ_CODE     = 'CODE';
  IBQ_CLE      = 'CLE';

  IBQ_ICLEF     = 'ICLEF';
  IBQ_I_CLEF    = 'I_CLEF';
  IBQ_I_NIVEAU  = 'I_NIVEAU';
  IBQ_ID_SOURCE = 'ID_SOURCE';

  IBQ_ADRESSE = 'ADRESSE';
  IBQ_CP      = 'CP';
  IBQ_VILLE   = 'VILLE';
  IBQ_DEPT    = 'DEPT';
  IBQ_REGION  = 'REGION';
  IBQ_PAYS    = 'PAYS';
  IBQ_INSEE   = 'INSEE';
  IBQ_SUBD    = 'SUBD';
  IBQ_TEL     = 'TEL';
  IBQ_MAIL    = 'MAIL';

  IBQ_max_niveau   = 'max_niveau';
  IBQ_mode_implexe = 'mode_implexe';

  IBQ_memo    = 'memo';

  IBQ_I_CLE = 'I_CLE';
  IBQ_I_NOM = 'I_NOM';
  IBQ_I_INFOS = 'I_INFOS';
  IBQ_i_langue = 'i_langue';

  CONJOINT_CLE_ID_UNKNOWN = 'CLE_ID_UNKNOWN';

  IBQ_CP_LATITUDE = 'CP_LATITUDE';
  IBQ_CP_LONGITUDE = 'CP_LONGITUDE';
  IBQ_CP_VILLE = 'CP_VILLE';

  MEDIAS_MULTI_MEDIA = 'MULTI_MEDIA';
  MEDIAS_MP_IDENTITE = 'MP_IDENTITE';
  MEDIAS_MP_POINTE_SUR = 'MP_POINTE_SUR';
  MEDIAS_PATH = 'MULTI_PATH';
  MEDIAS_CLEF = 'MULTI_CLEF';
  MEDIAS_NOM = 'MULTI_NOM';
  MEDIAS_TABLE = 'MP_TABLE';
  MEDIAS_MEDIA = 'MP_MEDIA';
  MEDIAS_TYPE = 'MULTI_IMAGE_RTF';

  IBQ_DOSSIER = 'DOSSIER';
  IBQ_I_DOSSIER = 'I_DOSSIER';
  IBQ_IDOSSIER  = 'IDOSSIER';

  IBQ_SSOURCE   = 'SSOURCE';
  IBQ_s_Nom     = 's_Nom';
  IBQ_s_PRENom     = 's_Prenom';
  IBQ_s_cp_naissance = 's_cp_naissance';
  IBQ_s_pays_naissance = 's_pays_naissance';
  IBQ_s_subd_naissance = 's_subd_naissance';
  IBQ_s_ville_naissance = 's_ville_naissance';
  IBQ_s_cp_deces = 's_cp_deces';
  IBQ_s_pays_deces = 's_pays_deces';
  IBQ_s_subd_deces = 's_subd_deces';
  IBQ_s_ville_deces = 's_ville_deces';
  IBQ_sEMetier      = 'sEMetier';

  IBQ_ACLE_UNION  = 'ACLE_UNION';
  IBQ_CLE_FAMILLE = 'CLE_FAMILLE';

  IBQ_A_CLE_PERE = 'A_CLE_PERE';
  IBQ_A_CLE_MERE = 'A_CLE_MERE';

  IBQ_union = 'union';

  IBQ_i_parqui = 'i_parqui';
  IBQ_I_SOSA   = 'I_SOSA';
  IBQ_A_VILLE  = 'A_VILLE';
  IBQ_A_MOIS   = 'A_MOIS';
  IBQ_GET_BIRT = 'GET_BIRT';
  IBQ_GET_DEAT = 'GET_DEAT';
  IBQ_GET_MARR = 'GET_MARR';
  IBQ_INTERVAL = 'INTERVAL';
  IBQ_LONGEVITE_H   = 'LONGEVITE_H';
  IBQ_LONGEVITE_F   = 'LONGEVITE_F';
  IBQ_YEAR_FROM     = 'YEAR_FROM';
  IBQ_YEAR_TO       = 'YEAR_TO';
  IBQ_A_CLE_DOSSIER = 'A_CLE_DOSSIER';
  IBQ_A_CLE_FICHE   = 'A_CLE_FICHE';
  IBQ_LIMIT_ON_DATE = 'LIMIT_ON_DATE';
  IBQ_LIMIT_ON_SOSA = 'LIMIT_ON_SOSA';

  IBQ_INDI2 = 'INDI1';
  IBQ_INDI1 = 'INDI2';

  IBQ_CONJOINT = 'CONJOINT';
  IBQ_table    = 'table';
  IBQ_eve      = 'eve';

  IBQ_TypeActe = 'TypeActe';
  IBQ_CleEve   = 'CleEve';

  IBQ_I_INDI = 'I_INDI';

  IBQ_KLE_DOSSIER = 'KLE_DOSSIER';
  IBQ_INDI = 'INDI';
  IBQ_NOM = 'NOM';
  IBQ_PRENOM = 'PRENOM';
  IBQ_SURNOM = 'SURNOM';
  IBQ_SUFFIXE = 'SUFFIXE';
  IBQ_ANNEE_NAISSANCE = 'ANNEE_NAISSANCE';
  IBQ_ANNEE_DECES = 'ANNEE_DECES';
  IBQ_VILLE_NAISSANCE = 'VILLE_BIRTH';
  IBQ_PAYS_NAISSANCE = 'PAYS_BIRTH';
  IBQ_VILLE_DECES = 'VILLE_DEATH';
  IBQ_VILLE_SUBD = 'VILLE_SUBD';
  IBQ_IND_CONFIDENTIEL='IND_CONFIDENTIEL';
  IBQ_debut = 'debut' ;
  IBQ_S_PATRONYME = 'S_PATRONYME';
  IBQ_COMMENT = 'COMMENT';
  IBQ_SOURCE = 'SOURCE';
  IBQ_MODIF_PAR_QUI='MODIF_PAR_QUI';
  IBQ_d_date = 'd_date';

  IBQ_DECUJUS='decujus';

  IBQ_MODE = 'mode';
  IBQ_mois = 'mois';

  IBQ_CLE_PARENTS = 'CLE_PARENTS';
  IBQ_PREFIXE = 'PREFIXE' ;
  IBQ_FILLIATION = 'FILLIATION' ;
  IBQ_NCHI = 'NCHI';
  IBQ_NMR = 'NMR';
  IBQ_PHOTO   = 'PHOTO';
  IBQ_NOM_INDI = 'NOM_INDI';
  IBQ_ID_INDI = 'ID_INDI';

  IBQ_CLE_DOSSIER = 'CLE_DOSSIER' ;
  IBQ_CLEF_EV     = 'CLEF_EV' ;

  IBQ_UNION_CLEF = 'UNION_CLEF';
  IBQ_UNION_MARI = 'UNION_MARI';
  IBQ_UNION_TYPE = 'UNION_TYPE';
  IBQ_UNION_FEMME = 'UNION_FEMME';

  IBQ_EV_FAM_CLEF = 'EV_FAM_CLEF';
  IBQ_EV_FAM_KLE_FAMILLE = 'EV_FAM_KLE_FAMILLE';
  IBQ_EV_FAM_DEPT = 'EV_FAM_DEPT';
  IBQ_EV_FAM_TYPE = 'EV_FAM_TYPE';
  IBQ_EV_FAM_PAYS = 'EV_FAM_PAYS';
  IBQ_EV_FAM_TEL  = 'EV_FAM_TEL';
  IBQ_EV_FAM_MAIL = 'EV_FAM_MAIL';
  IBQ_EV_FAM_WEB  = 'EV_FAM_WEB';
  IBQ_EV_FAM_ADRESSE = 'EV_FAM_ADRESSE';
  IBQ_EV_FAM_LIGNES_ADRESSE = 'EV_FAM_LIGNES_ADRESSE';
  IBQ_EV_FAM_REGION = 'EV_FAM_REGION';
  IBQ_EV_FAM_SUBD = 'EV_FAM_SUBD';
  IBQ_EV_FAM_INSEE = 'EV_FAM_INSEE';
  IBQ_EV_FAM_HEURE = 'EV_FAM_HEURE';
  IBQ_EV_FAM_TITRE_EVENT = 'EV_FAM_TITRE_EVENT' ;
  IBQ_EV_FAM_KLE_FICHE = 'EV_FAM_KLE_FICHE';
  IBQ_EV_FAM_KLE_DOSSIER = 'EV_FAM_KLE_DOSSIER';
  IBQ_EV_FAM_DATE = 'EV_FAM_DATE';
  IBQ_EV_FAM_CAUSE = 'EV_FAM_CAUSE';
  IBQ_EV_FAM_ORDRE = 'EV_FAM_ORDRE';
  IBQ_EV_FAM_DATECODE = 'EV_FAM_DATECODE';
  IBQ_EV_FAM_DATECODE_TOT = 'EV_FAM_DATECODE_TOT';
  IBQ_EV_FAM_DATECODE_TARD = 'EV_FAM_DATECODE_TARD';
  IBQ_EV_FAM_DATE_YEAR = 'EV_FAM_DATE_YEAR';
  IBQ_EV_FAM_DATE_MOIS = 'EV_FAM_DATE_MOIS';
  IBQ_EV_FAM_DATE_JOUR = 'EV_FAM_DATE_JOUR';
  IBQ_EV_FAM_TYPE_TOKEN1 = 'EV_FAM_TYPE_TOKEN1';
  IBQ_EV_FAM_DATE_YEAR_FIN = 'EV_FAM_DATE_YEAR_FIN';
  IBQ_EV_FAM_DATE_MOIS_FIN = 'EV_FAM_DATE_MOIS_FIN';
  IBQ_EV_FAM_DATE_JOUR_FIN = 'EV_FAM_DATE_JOUR_FIN';
  IBQ_EV_FAM_TYPE_TOKEN2 = 'EV_FAM_TYPE_TOKEN2';
  IBQ_EV_FAM_DATE_WRITEN= 'EV_FAM_DATE_WRITEN';
  IBQ_EV_FAM_COMMENT = 'EV_FAM_COMMENT';
  IBQ_EV_FAM_SOURCE = 'EV_FAM_SOURCE';
  IBQ_EV_FAM_CALENDRIER1 = 'EV_FAM_CALENDRIER1';
  IBQ_EV_FAM_CALENDRIER2 = 'EV_FAM_CALENDRIER2';
  IBQ_EV_FAM_DESCRIPTION = 'EV_FAM_DESCRIPTION';
  IBQ_EV_FAM_CP = 'EV_FAM_CP';
  IBQ_EV_FAM_LATITUDE = 'EV_FAM_LATITUDE';
  IBQ_EV_FAM_LONGITUDE = 'EV_FAM_LONGITUDE';
  IBQ_EV_FAM_VILLE = 'EV_FAM_VILLE';
  IBQ_EV_FAM_ACTE = 'EV_FAM_ACTE';

  IBQ_MULTI_CLEF  = 'MULTI_CLEF';
  IBQ_MULTI_NOM   = 'MULTI_NOM';
  IBQ_MULTI_INFOS = 'MULTI_INFOS';
  IBQ_MULTI_MEDIA = 'MULTI_MEDIA';
  IBQ_MULTI_DATE_MODIF = 'MULTI_DATE_MODIF';
  IBQ_MULTI_MEMO = 'MULTI_MEMO';
  IBQ_MULTI_REDUITE = 'MULTI_REDUITE';
  IBQ_MULTI_IMAGE_RTF = 'MULTI_IMAGE_RTF';
  IBQ_MULTI_PATH = 'MULTI_PATH';

  IBQ_ADR_CLEF    = 'ADR_CLEF';
  IBQ_ADR_KLE_IND = 'ADR_KLE_IND';
  IBQ_ADR_ADRESSE = 'ADR_ADRESSE';
  IBQ_ADR_CP      = 'ADR_CP';
  IBQ_ADR_VILLE   = 'ADR_VILLE';
  IBQ_ADR_DEPT    = 'ADR_DEPT';
  IBQ_ADR_REGION  = 'ADR_REGION';
  IBQ_ADR_PAYS    = 'ADR_PAYS';
  IBQ_ADR_INSEE   = 'ADR_INSEE';
  IBQ_ADR_SUBD    = 'ADR_SUBD';
  IBQ_ADR_TEL     = 'ADR_TEL';
  IBQ_ADR_MAIL    = 'ADR_MAIL';
  IBQ_ADR_WEB     = 'ADR_WEB';
  IBQ_ADR_MEMO    = 'ADR_MEMO';
  IBQ_ADR_PHOTO   = 'ADR_PHOTO';
  IBQ_ADR_LATITUDE  = 'ADR_LATITUDE';
  IBQ_ADR_LONGITUDE = 'ADR_LONGITUDE';
  IBQ_ADR_DATE_WRITEN = 'ADR_DATE_WRITEN';

  IBQ_EV_IND_CLEF = 'EV_IND_CLEF';
  IBQ_EV_IND_TEL  = 'EV_IND_TEL';
  IBQ_EV_IND_MAIL = 'EV_IND_MAIL';
  IBQ_EV_IND_WEB  = 'EV_IND_WEB';
  IBQ_EV_IND_ADRESSE = 'EV_IND_ADRESSE';
  IBQ_EV_IND_LIGNES_ADRESSE = 'EV_IND_LIGNES_ADRESSE';
  IBQ_EV_IND_REGION = 'EV_IND_REGION';
  IBQ_EV_IND_SUBD = 'EV_IND_SUBD';
  IBQ_EV_IND_INSEE = 'EV_IND_INSEE';
  IBQ_EV_IND_HEURE = 'EV_IND_HEURE';
  IBQ_EV_IND_TITRE_EVENT = 'EV_IND_TITRE_EVENT' ;
  IBQ_EV_IND_KLE_FICHE = 'EV_IND_KLE_FICHE';
  IBQ_EV_IND_KLE_DOSSIER = 'EV_IND_KLE_DOSSIER';
  IBQ_EV_IND_DATE = 'EV_IND_DATE';
  IBQ_EV_IND_CAUSE = 'EV_IND_CAUSE';
  IBQ_EV_IND_ORDRE = 'EV_IND_ORDRE';
  IBQ_EV_IND_DETAILS = 'EV_IND_DETAILS';
  IBQ_EV_IND_MEDIA   = 'EV_IND_MEDIA';
  IBQ_EV_IND_DATECODE = 'EV_IND_DATECODE';
  IBQ_EV_IND_DATECODE_TOT = 'EV_IND_DATECODE_TOT';
  IBQ_EV_IND_DATECODE_TARD = 'EV_IND_DATECODE_TARD';
  IBQ_EV_IND_DATE_YEAR = 'EV_IND_DATE_YEAR';
  IBQ_EV_IND_DATE_MOIS = 'EV_IND_DATE_MOIS';
  IBQ_EV_IND_DATE_JOUR = 'EV_IND_DATE_JOUR';
  IBQ_EV_IND_TYPE_TOKEN1 = 'EV_IND_TYPE_TOKEN1';
  IBQ_EV_IND_DATE_YEAR_FIN = 'EV_IND_DATE_YEAR_FIN';
  IBQ_EV_IND_DATE_MOIS_FIN = 'EV_IND_DATE_MOIS_FIN';
  IBQ_EV_IND_DATE_JOUR_FIN = 'EV_IND_DATE_JOUR_FIN';
  IBQ_EV_IND_TYPE_TOKEN2 = 'EV_IND_TYPE_TOKEN2';
  IBQ_EV_IND_DATE_WRITEN= 'EV_IND_DATE_WRITEN';
  IBQ_EV_IND_COMMENT = 'EV_IND_COMMENT';
  IBQ_EV_IND_SOURCE = 'EV_IND_SOURCE';
  IBQ_EV_IND_CALENDRIER  = 'EV_IND_CALENDRIER';
  IBQ_EV_IND_CALENDRIER1 = 'EV_IND_CALENDRIER1';
  IBQ_EV_IND_CALENDRIER2 = 'EV_IND_CALENDRIER2';
  IBQ_EV_IND_DESCRIPTION = 'EV_IND_DESCRIPTION';
  IBQ_EV_IND_CP = 'EV_IND_CP';
  IBQ_EV_IND_DEPT = 'EV_IND_DEPT';
  IBQ_EV_IND_PAYS = 'EV_IND_PAYS';
  IBQ_EV_IND_LATITUDE = 'EV_IND_LATITUDE';
  IBQ_EV_IND_LONGITUDE = 'EV_IND_LONGITUDE';
  IBQ_EV_IND_VILLE = 'EV_IND_VILLE';
  IBQ_EV_IND_ACTE = 'EV_IND_ACTE';
  IBQ_EV_IND_TYPE = 'EV_IND_TYPE';

  IBQ_RCV_CODE = 'RCV_CODE';

  IBQ_hi_dicorigine = 'hi_dicorigine';
  IBQ_hi_date_texte = 'hi_date_texte';
  IBQ_hi_cat        = 'hi_cat';
  IBQ_hi_titre      = 'hi_titre';
  IBQ_hi_texte      = 'hi_texte';
  IBQ_hi_image      = 'hi_image';

  IBQ_AncienNom  = 'AncienNom';
  IBQ_NouveauNom = 'NouveauNom';

  IBQ_EV_IND_CP_OLD = 'EV_IND_CP_OLD';
  IBQ_EV_IND_DEPT_OLD = 'EV_IND_DEPT_OLD';
  IBQ_EV_IND_SUBD_OLD = 'EV_IND_SUBD_OLD';
  IBQ_EV_IND_PAYS_OLD = 'EV_IND_PAYS_OLD';
  IBQ_EV_IND_REGION_OLD = 'EV_IND_REGION_OLD';
  IBQ_EV_IND_VILLE_OLD = 'EV_IND_VILLE_OLD';

  IBQ_ASSOC_CLEF        = 'ASSOC_CLEF';
  IBQ_ASSOC_KLE_IND     = 'ASSOC_KLE_IND';
  IBQ_ASSOC_KLE_ASSOCIE = 'ASSOC_KLE_ASSOCIE';
  IBQ_ASSOC_LIBELLE     = 'ASSOC_LIBELLE';
  IBQ_ASSOC_EVENEMENT   = 'ASSOC_EVENEMENT';

  IBQ_MP_MEDIA        = 'MP_MEDIA';
  IBQ_mp_clef         = 'mp_clef';
  IBQ_MP_CLE_INDIVIDU = 'MP_CLE_INDIVIDU';
  IBQ_MP_KLE_DOSSIER  = 'MP_KLE_DOSSIER';
  IBQ_MP_IDENTITE     = 'MP_IDENTITE';
  IBQ_MP_POSITION     = 'MP_POSITION';
  IBQ_MP_POINTE_SUR   = 'MP_POINTE_SUR';
  IBQ_MP_TABLE        = 'MP_TABLE';
  IBQ_MP_TYPE_IMAGE   = 'MP_TYPE_IMAGE';

  IBQ_i_union = 'i_union';

  IBQ_ordre = 'ordre';

  IBQ_MIN_MAR_HOM = 'MIN_MAR_HOM';
  IBQ_MIN_MAR_FEM = 'MIN_MAR_FEM';
  IBQ_MAX_MAR_HOM = 'MAX_MAR_HOM';
  IBQ_MAX_MAR_FEM = 'MAX_MAR_FEM';
  IBQ_MAX_ENF_HOM = 'MAX_ENF_HOM';
  IBQ_MAX_ENF_FEM = 'MAX_ENF_FEM';
  IBQ_MAX_VIE_HOM = 'MAX_VIE_HOM';
  IBQ_MAX_VIE_FEM = 'MAX_VIE_FEM';
  IBQ_MIN_ENF_HOM = 'MIN_ENF_HOM';
  IBQ_MIN_ENF_FEM = 'MIN_ENF_FEM';
  IBQ_MIN_ENTRE_ENF     = 'MIN_ENTRE_ENF';
  IBQ_MAX_ENTRE_JUMEAUX = 'MAX_ENTRE_JUMEAUX';
  IBQ_MAX_ECART_EPOUX   = 'MAX_ECART_EPOUX';

  IBQ_fichier     = 'fichier';
  IBQ_SOURCE_PAGE = 'SOURCE_PAGE';
  IBQ_EVEN        = 'EVEN';
  IBQ_QUAY        = 'QUAY';
  IBQ_AUTH        = 'AUTH';
  IBQ_TEXTE       = 'TEXTE';
  IBQ_TITL        = 'TITL';
  IBQ_PUBL        = 'PUBL';
  IBQ_ABR         = 'ABR';
  IBQ_RIN         = 'RIN';
  IBQ_USER_REF    = 'USER_REF';
  IBQ_EVEN_ROLE   = 'EVEN_ROLE';
  IBQ_DATA_EVEN   = 'DATA_EVEN';
  IBQ_DATA_AGNC   = 'DATA_AGNC';
  IBQ_DATA_EVEN_PERIOD = 'DATA_EVEN_PERIOD';
  IBQ_DATA_EVEN_PLAC   = 'DATA_EVEN_PLAC';
  IBQ_CHANGE_NOTE      = 'CHANGE_NOTE';

  _EXT_TRADUC='.traduc';

  _REP_ASCENDANCE_COMPLET=0;
  _REP_ASCENDANCE_PAR_HOMMES=1;
  _REP_ASCENDANCE_PAR_FEMMES=2;

  _REP_DESCENDANCE_COMPLET=10;
  _REP_DESCENDANCE_PATRONYMIQUE=11;

  _REP_LISTE_ALPHA_HOMME=20;
  _REP_LISTE_ALPHA_FEMME=21;
  _REP_LISTE_ALPHA_TOUS=22;

  _REP_LISTE_DIVERS_UNION=30;
  _REP_LISTE_DIVERS_ECLAIR=31;
  _REP_LISTE_DIVERS_EVENEMENT=32;
  _REP_LISTE_DIVERS_ANNIVERSAIRE=33;
  _REP_LISTE_DIVERS_ENFANTS=34;
  _REP_LISTE_DIVERS_FRATRIE=35;
  _REP_LISTE_DIVERS_ONCLES_TANTES=36;
  _REP_LISTE_DIVERS_COUSINAGE=37;

  _REP_FICHE_INDIVIDUELLE=40;
  _REP_FICHE_FAMILIALE=41;

  _REP_STAT_PATRONYME=50;
  _REP_STAT_PRENOM=51;
  _REP_STAT_AGE_PREMIERE_UNION=52;
  _REP_STAT_LONGEVITE=53;
  _REP_STAT_NB_ENFANT_UNION=54;
  _REP_STAT_RECENSEMENT=55;
  _REP_STAT_DENOMBREMENT_ASCENDANCE=56;
  _REP_STAT_DENOMBREMENT_DESCENDANCE=57;
  _REP_STAT_GRAPH_NAISS_DEPT=58;
  _REP_STAT_PROFESSIONS=59;

  //mode menu
  _SHOW_MENU_PRINCIPAL=1;
  _SHOW_MENU_GRAPH=2;

  _DLLQUISONTILS='QuisontilsDll.dll';

  _i_IndiConf=1;
  _s_IndiConf='1';
  _i_SansCtrlDates=2;
  _s_SansCtrlDates='2';
  _i_IdentiteIncertaine=4;
  _s_IdentiteIncertaine='4';
  _i_ContinuerRecherches=8;
  _s_ContinuerRecherches='8';

  _lc_ctypeANSI={$IFDEF FPC}'UTF8'{$ELSE}'ISO8859_1'{$ENDIF};
  _lc_ctype='';
  _lc_ctypeUTF8='utf8';
  _lc_ctype_params='';


  _AlphabetMaj='ABCDEFGHIJKLMNOPQRSTUVWXYZ';
  {$IFNDEF WINDOWS}
  DEFAULT_FIREBIRD_SERVER_DIR = '/var/lib/firebird/3.0/';
  DEFAULT_FIREBIRD_DATA_DIR = DEFAULT_FIREBIRD_SERVER_DIR+'data/';
  {$ENDIF}


implementation

end.

