{-----------------------------------------------------------------------}
{                                                                       }
{           Subprogram Name:                                            }
{           Purpose:          Ancestromania GPL                         }
{           Source Language:  Francais                                  }
{           Auteurs :                                                   }
{    Copyright Matthieu Giroux from 2013 to 2016 (LAZARUS),             }
{    Copyright Andr? Langlet (2003 to 2013),                            }
{    Copyright Philippe Cazaux-Moutou (Old Ancestro 2013 GPL)           }
{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Description:                                                }
{           Ancestromania est un Logiciel Libre.                        }
{                                                                       }
{ This program is free software: you can redistribute it and/or modify  }
{ it under the terms of the GNU General Public License as published by  }
{ the Free Software Foundation, either version 3 of the License, or     }
{ (at your option) any later version.                                   }
{                                                                       }
{ This program is distributed in the hope that it will be useful,       }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of        }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         }
{ GNU General Public License for more details.                          }
{                                                                       }
{ You should have received a copy of the GNU General Public License     }
{ along with this program.  If not, see <http://www.gnu.org/licenses/>. }
{-----------------------------------------------------------------------}

{-----------------------------------------------------------------------
  Advanced Status Bar

  Version 1.0, June 21, 1997
   - initial release
   - Advanced Status Bar accepts other controls

-----------------------------------------------------------------------}

unit AdvStatusBar;

interface

uses ComCtrls, Classes, Controls;

{$IFDEF FPC}
{$Mode Delphi}
{$ELSE}
{$ObjExportAll On}
{$R AdvStatusBar.res}
{$ENDIF}

type

  TAdvStatusBar = class(TStatusBar)
  public
    constructor Create(AOwner: TComponent); override;
  end;

procedure Register;

{---------------------------------------------------------------------------}
implementation

{$IFDEF FPC}
uses LCLType;
{$ELSE}
uses Consts;
{$ENDIF}


constructor TAdvStatusBar.Create( AOwner : TComponent );
begin
   inherited Create(AOwner);
   ControlStyle := ControlStyle + [csAcceptsControls];
end;

{---------------------------------------------------------------------------}

procedure Register;
begin
  RegisterComponents('Perso', [TAdvStatusBar]);
end;

{---------------------------------------------------------------------------}

end.
