{-----------------------------------------------------------------------}
{                                                                       }
{           Subprogram Name:                                            }
{           Purpose:          Ancestromania GPL                         }
{           Source Language:  Francais                                  }
{           Auteurs :                                                   }
{    Copyright Matthieu Giroux from 2013 to now (LAZARUS),              }
{    Copyright André Langlet (2003 to 2013),                            }
{    Copyright Philippe Cazaux-Moutou (Old Ancestrologie 2003 GPL)      }
{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Description:                                                }
{           Ancestromania est un Logiciel Libre.                        }
{                                                                       }
{ This program is free software: you can redistribute it and/or modify  }
{ it under the terms of the GNU General Public License as published by  }
{ the Free Software Foundation, either version 3 of the License, or     }
{ (at your option) any later version.                                   }
{                                                                       }
{ This program is distributed in the hope that it will be useful,       }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of        }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         }
{ GNU General Public License for more details.                          }
{                                                                       }
{ You should have received a copy of the GNU General Public License     }
{ along with this program.  If not, see <http://www.gnu.org/licenses/>. }
{-----------------------------------------------------------------------}

{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Revision History                                            }
{           v#    ,Date       ,Author Name            ,Description      }
{                                                                       }
{-----------------------------------------------------------------------}

unit u_Form_Voir_Point;

{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses
{$IFNDEF FPC}
  Windows,
{$ELSE}
{$ENDIF}
  Forms,  StdCtrls, u_buttons_appli,
  JvXPButtons, ExtCtrls, Classes,
  MaskEdit, u_ancestropictimages,
  u_ancestropictbuttons, Menus;

type

  { TFVoirPoint }

  TFVoirPoint = class(TForm)
    btnClose: TFWClose;
    btnSat: TXAWeb;
    edLatitude: TMaskEdit;
    edLongitude: TMaskEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel9: TPanel;
    Panel10: TPanel;
    Image1: TIAWorld;
    Label3: TLabel;
    procedure btnSatPopup(Sender: TObject);
  private
  protected
    procedure DoClose ( var Action: TCloseAction); override;
  public
    procedure Loaded; override;

  end;

implementation

uses
     fonctions_ini, u_genealogy_context,u_form_main;

{$IFDEF FPC}{$R *.lfm}{$ELSE}{$R *.DFM}{$ENDIF}


procedure TFVoirPoint.DoClose(var Action: TCloseAction);
begin
  inherited;
  Action := caFree;
end;

procedure TFVoirPoint.Loaded;
begin
  f_GetMemIniFile();
  Color:=gci_context.ColorLight;
  inherited;
end;


procedure TFVoirPoint.btnSatPopup(Sender: TObject);
begin
  FMain.Lieu_Pays:='';
  FMain.Lieu_Region:='';
  FMain.Lieu_Departement:='';
  FMain.Lieu_Ville:='';
  FMain.Lieu_Latitude:=edLatitude.Text;
  FMain.Lieu_Longitude:=edLongitude.Text;
end;


end.
