unit u_Form_select_rep;
{-----------------------------------------------------------------------}
{                                                                       }
{           Subprogram Name:                                            }
{           Purpose:          Ancestromania GPL                         }
{           Source Language:  Francais                                  }
{           Auteurs :                                                   }
{    Copyright Matthieu Giroux from 2013 to now (LAZARUS),              }
{    Copyright André Langlet (2003 to 2013),                            }
{    Copyright Philippe Cazaux-Moutou (Old Ancestrologie 2003 GPL)      }
{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Description:                                                }
{           Ancestromania est un Logiciel Libre.                        }
{                                                                       }
{ This program is free software: you can redistribute it and/or modify  }
{ it under the terms of the GNU General Public License as published by  }
{ the Free Software Foundation, either version 3 of the License, or     }
{ (at your option) any later version.                                   }
{                                                                       }
{ This program is distributed in the hope that it will be useful,       }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of        }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         }
{ GNU General Public License for more details.                          }
{                                                                       }
{ You should have received a copy of the GNU General Public License     }
{ along with this program.  If not, see <http://www.gnu.org/licenses/>. }
{-----------------------------------------------------------------------}


{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses
{$IFNDEF FPC}
  ShlObj, Windows,
{$ELSE}
{$ENDIF}
  SysUtils, Forms, Classes,
  StdCtrls, ShellCtrls, ExtCtrls,
  u_buttons_appli, U_OnFormInfoIni, u_ancestropictimages;

type

  { TfSelect_rep }

  TfSelect_rep = class(TForm)
    btnclose: TFWClose;
    btnGO: TFWOK;
    Image1: TIATitle;
    Label1: TLabel;
    lFonction: TLabel;
    OnFormInfoIni: TOnFormInfoIni;
    Panel1: TPanel;
    Panel2: TPanel;
    ShellTV: TShellTreeView;
  private
    { Déclarations privées }
    fPathInit:string;
  public
    { Déclarations publiques }
    procedure Loaded; override;
    Property PathInit:String Write fPathInit;
  end;

implementation

{$IFDEF FPC}{$R *.lfm}{$ELSE}{$R *.DFM}{$ENDIF}
Uses
     u_genealogy_context,fonctions_ini;

procedure TfSelect_rep.Loaded;
begin
   f_GetMemIniFile();
   Color:=gci_context.ColorLight;
   {$IFNDEF WINDOWS}
   ShellTV.Root:=GetUserDir;
   {$ENDIF}
   inherited;
end;

end.
