unit u_Traduction;

{$mode objfpc}{$H+}

interface

function TraduitUnitDepuisLrs(NomUnit,Langue:string):boolean;

implementation
uses
  Classes,LResources,Translations;

function TraduitUnitDepuisLrs(NomUnit,Langue:string):boolean;
(*Intégration du fichier de traduction dans le fichier ressources par la commande
"c:\lazarus\tools\lazres.exe traductfr.lrs c:\lazarus\lcl\languages\lclstrconsts.fr.po"
c:\lazarus\tools\lazres.exe doit avoir été construit depuis le projet lazres.lpi,
traductfr.lrs nom du fichier ressources à inclure dans la partie "initialization {$I traductfr.lrs}",
c:\lazarus\lcl\languages\lclstrconsts.fr.po fichier po de traduction.
Les unités LResources et Translations doivent être dans Uses
Autres infos, voir l'unité Translations.
*)
var
  po:TPOFile;
  LeStream:TMemoryStream;
  NomFichier,ChaineRes:string;
begin
  Result:=false;
  if (NomUnit='') or(Langue='') then
    exit;
  po:=nil;
  NomFichier:=NomUnit+'.'+Langue;
  ChaineRes:=lazarusresources.Find(NomFichier,'PO').Value;
  LeStream:=TMemoryStream.Create;
  try
    LeStream.WriteAnsiString(ChaineRes);
    LeStream.Position:=0;
    try
      po:=TPOFile.Create(LeStream);
      Result:=TranslateUnitResourceStrings(NomUnit,po);
    finally
      po.free;
    end;
  finally
    LeStream.Free;
  end;
end;

initialization
{$I traductfr.lrs}

end.

