unit u_form_report_media;
{-----------------------------------------------------------------------}
{                                                                       }
{           Subprogram Name:                                            }
{           Purpose:          Ancestromania GPL                         }
{           Source Language:  Francais                                  }
{           Auteurs :                                                   }
{    Copyright Matthieu Giroux from 2013 to 2016 (LAZARUS),             }
{    Copyright André Langlet (2003 to 2013),                            }
{    Copyright Philippe Cazaux-Moutou (Old Ancestrologie 2003 GPL)      }
{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Description:                                                }
{           Ancestromania est un Logiciel Libre.                        }
{                                                                       }
{ This program is free software: you can redistribute it and/or modify  }
{ it under the terms of the GNU General Public License as published by  }
{ the Free Software Foundation, either version 3 of the License, or     }
{ (at your option) any later version.                                   }
{                                                                       }
{ This program is distributed in the hope that it will be useful,       }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of        }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         }
{ GNU General Public License for more details.                          }
{                                                                       }
{ You should have received a copy of the GNU General Public License     }
{ along with this program.  If not, see <http://www.gnu.org/licenses/>. }
{-----------------------------------------------------------------------}


{$mode delphi}

interface

uses
  Forms, RLReport, Classes,
  u_reports_rlcomponents;

type

  { TFReportMedia }

  TFReportMedia = class(TForm)
    RLHeader: TRLBand;
    RLBand2: TRLBand;
    RLColumn: TRLBand;
    RLDBExtImage1: TRLDBExtImage;
    RLDBText1: TRLDBText;
    RLSystemInfo1: TRLSystemInfo;
    RLSystemInfo2: TRLSystemInfo;
    RLSystemInfo3: TRLSystemInfo;
    RLTitle: TRLLabel;
    RLReport: TRLReport;
    procedure Loaded; override;
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FReportMedia: TFReportMedia = nil;

implementation

uses
     fonctions_reports;


{ TFReportMedia }

procedure TFReportMedia.Loaded;
begin
  RLColumn.Color :=  ExtColumnColorBack     ;
  RLHeader.Color :=  ExtHeaderColorBack       ;
  RLHeader.Font.Name  := ExtHeaderFont.Name       ;
  RLHeader.Font.Color := ExtHeaderFont.Color      ;
  RLColumn.Font.Name  := ExtColumnFont.Name       ;
  RLColumn.Font.Color := ExtColumnFont.Color      ;

  Inherited;
end;

{$R *.lfm}


end.

